% Locate Harmonics: from Locate Harmonics.vi

PwrSpec = PF_frm3_out0;

% from frame 0 of labview code
PwrSpec_len = length(PwrSpec);
LH_frm0_out0 = PwrSpec_len/2;
LH_frm0_out1 = Fin/(Fs/PwrSpec_len);

% from frame 1 of labview code
for i = 1:NumHrms
    LH_frm1_out0(i) = LH_frm0_out1 * i;
    LH_frm1_out1(i) = Fin * i;
end
Hrms = LH_frm1_out1;

% from frame 2 of labview code
LH_frm2_tmp = LH_frm1_out1;
while(max(LH_frm2_tmp) > Fs/2)
   LH_frm2_tmp = abs(LH_frm2_tmp - Fs*(LH_frm2_tmp > Fs/2));
end
AliasedHrms = LH_frm2_tmp;
    
% from frame 3 of labview code
LH_frm3_out0 = LH_frm1_out0;
while(max(LH_frm3_out0) > LH_frm0_out0)
    LH_frm3_out0 = abs(LH_frm3_out0 - 2*LH_frm0_out0*(LH_frm3_out0 > LH_frm0_out0));
end

AliasedHrmsBin = round(LH_frm3_out0); % there will be no need to round once i calculate Coherent Freq. myself EXACTLY!

% from frame 4 of labview code
for i = 1:NumHrms
    PwrHrms(i) = PwrSpec(AliasedHrmsBin(i)+1);
end
PwrSpec2Nyq = PwrSpec(1:PwrSpec_len/2);

