function fixfig(h)
% FIXFIG reasonable figure properties for display and printing

if nargin < 1
    h = gcf;
end

% white background
set(h, 'Color', [1 1 1]);

% set line width
lines = findobj(h, 'Type', 'line');
set(lines, 'LineWidth', 2);

% set axis line width
thickness = 2;
ax = get(h, 'CurrentAxes');
set(ax, 'LineWidth', thickness);
c = get(ax, 'children');
for i=1:length(c)
   % eval('set(c(i), ''LineWidth'', thickness); disp(c(i));', 'disp(c(i)+0.5);');
end

