% clear all;

if(exist('capData.txt','file') == 2)
    delete('capData.txt');
end

fs = input('Enter Sampling Frequency [MHz] <>  ');
fin = input('Enter Input Frequency [MHz] <>  ');

N = input('Number of Samples? [32768]  <>  ');
if(isempty(N))
    N = 32768;
end

coherentFin;
fs = fs*1e6;
fin = fin*1e6;

fprintf('\n\nCoherent Input Frequency is %8.2f Hz\n\n', fin);

adcName = input('ADC Name? {ads58c2x,ads424x,ads422x} [ads424x]  <>  ','s');
if(isempty(adcName))
    adcName = 'ads424x';
end

adcChnl = 'A';

adcChnl = input('Channel {A,B,AB}? [A] <> ','s');
    if(isempty(adcChnl))
    adcChnl = 'A';
    end
    

% Initialize and connect the serial port
initSerial;

% make a capture
writeSerial_ADS42xx(objSerial1, adcName, N, adcChnl);
ADCout = readSerial_ADS42xx(objSerial1, adcName);
leng = size(ADCout)%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
ADCoutA = ADCout(1:N);%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

fid = fopen('capData.txt','w');
fprintf(fid,'%x\n',ADCoutA);

if(strcmp(lower(adcChnl),'ab'))%!!!!!!!!!!!!!!!!!!!!!!!!!
    ADCoutB = ADCout(leng-(N-1):leng);
    fprintf(fid,'%x\n',ADCoutB);
end

fprintf(fid,'%x\n',ADCout);
fclose(fid);
delSerial;

switch lower(adcName)
    case 'ads424x'
        Bits = 14;
    case 'ads422x'
        Bits = 12;
    case 'ads58c2x'
        Bits = 11;
end

adc_performance(Bits, fs/1e6, fin/1e6, 1, double(ADCoutA), 0)
if(strcmp(lower(adcChnl),'ab'))%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
    adc_performance(Bits, fs/1e6, fin/1e6, 1, double(ADCoutB), 0)
end    
    