function d = readSerial_ADS42xx(obj,adcName)
bytesAvl = -1;
while(1)
    pause(0.5);
    bytesAvlOld = bytesAvl;
    bytesAvl = obj.BytesAvailable;
    if(bytesAvl == bytesAvlOld && mod(bytesAvl,2) == 0)
        d = fread(obj,obj.BytesAvailable/2,'uint16');
        d = swapbytes(uint16(d));

        switch lower(adcName)
            case {'ads58c2x'}
                d = bitshift(d,-3);
                bMask = hex2dec('07ff');
            case 'ads424x'
                bMask = hex2dec('3fff');
            case 'ads422x'
                d = bitshift(d,-2);
                bMask = hex2dec('0fff');
        end
        d = bitand(d,bMask);
        break;
    end
end
