function writeSerial_ADS42xx(obj, adcName, N, adcChnl)

fwrite(obj,0,'uint8');
fwrite(obj,hex2dec('ff'),'uint8');

fwrite(obj,0,'uint8');
fwrite(obj,0,'uint8');

% clear the FPGA IDELAY tap settings to default
fwrite(obj,hex2dec('d'),'uint8');
fwrite(obj,hex2dec('ff'),'uint8');
fwrite(obj,hex2dec('e'),'uint8');
fwrite(obj,hex2dec('ff'),'uint8');
fwrite(obj,hex2dec('f'),'uint8');
fwrite(obj,1,'uint8');
fwrite(obj,5,'uint8');
fwrite(obj,bin2dec('10000000'),'uint8');
fwrite(obj,5,'uint8');
fwrite(obj,bin2dec('00000000'),'uint8');

% set FPGA data IDELAY tap settings to 10
fwrite(obj,hex2dec('f'),'uint8');
fwrite(obj,0,'uint8');
fwrite(obj,5,'uint8');
fwrite(obj,bin2dec('01001010'),'uint8');


switch lower(adcName)
    case {'ads424x','ads422x','ads58c2x'}
        fwrite(obj,2,'uint8');
        if(strcmp(lower(adcChnl),'a'))
            fwrite(obj,4,'uint8');
        elseif(strcmp(lower(adcChnl),'b'))
            fwrite(obj,8,'uint8');
        else
            fwrite(obj,hex2dec('C'),'uint8');   %ChA to FIFO1&2, ChB to FIFO3&4     
        end

        fwrite(obj,hex2dec('12'),'uint8');
        fwrite(obj,1,'uint8');
        
        fwrite(obj,4,'uint8');
        if(strcmp(lower(adcChnl),'a') || strcmp(lower(adcChnl),'b'))
            switch N
                case 2048
                    fwrite(obj,hex2dec('11'),'uint8');
                case 4096
                    fwrite(obj,hex2dec('12'),'uint8');
                case 8192
                    fwrite(obj,hex2dec('14'),'uint8');
                case 16384
                    fwrite(obj,hex2dec('18'),'uint8');
                case 32768
                    fwrite(obj,hex2dec('38'),'uint8');
                otherwise
                    fwrite(obj,hex2dec('f8'),'uint8');
            end
        else%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
            switch N
                case 2048
                    fwrite(obj,hex2dec('51'),'uint8');
                case 4096
                    fwrite(obj,hex2dec('52'),'uint8');
                case 8192
                    fwrite(obj,hex2dec('54'),'uint8');
                case 16384
                    fwrite(obj,hex2dec('58'),'uint8');
                case 32768
                    fwrite(obj,hex2dec('f8'),'uint8');
                otherwise
                    fwrite(obj,hex2dec('f8'),'uint8');
            end
        end



        fwrite(obj,hex2dec('13'),'uint8');
        fwrite(obj,0,'uint8');
   
          
    otherwise
        disp('ADC not supported ..');
        return;
end

fwrite(obj,1,'uint8');
fwrite(obj,3,'uint8');
